Skip to main content
GET
/
pools
/
{poolId}
/
top-lpers
Get top LPers for a pool
curl --request GET \
  --url https://api.lpagent.io/open-api/v1/pools/{poolId}/top-lpers \
  --header 'x-api-key: <api-key>'
{
  "status": "success",
  "data": [
    {
      "pool": "<string>",
      "owner": "<string>",
      "protocol": "meteora",
      "token0": "<string>",
      "token1": "<string>",
      "total_inflow": 123,
      "avg_inflow": 123,
      "total_outflow": 123,
      "total_fee": 123,
      "total_pnl": 123,
      "total_inflow_native": 123,
      "avg_inflow_native": 123,
      "total_outflow_native": 123,
      "total_reward": 123,
      "total_fee_native": 123,
      "total_reward_native": 123,
      "total_pnl_native": 123,
      "total_lp": 123,
      "avg_age_hour": 123,
      "win_lp": 123,
      "win_lp_native": 123,
      "win_rate": 123,
      "win_rate_native": 123,
      "fee_percent": 123,
      "fee_percent_native": 123,
      "apr": 123,
      "roi": 123,
      "first_activity": "2023-11-07T05:31:56Z",
      "last_activity": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 123,
    "pageSize": 123,
    "totalCount": 123,
    "totalPages": 123,
    "hasNextPage": true
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

poolId
string
required

Pool address

Query Parameters

order_by
string

Column to sort by

sort_order
enum<string>
default:desc

Sort direction

Available options:
asc,
desc
page
integer
default:1

Page number

Required range: x >= 1
limit
integer
default:20

Page size

Required range: 1 <= x <= 100

Response

Successfully retrieved LPers

status
string
Example:

"success"

data
object[]
pagination
object